
cd "~财经问题研究\税收激励与绿色创新\（20240522）税收激励与绿色创新：数据代码"
use 税收激励与企业绿色创新基础数据集.dta,clear

 global firmcontrols  Size Roa Age Institution Controlling Top10
 global indcontrols c.indsize#c.t  c.indroa#c.t  c.indleverage#c.t c.indcapexp#c.t
 
 reghdfe lnGI  t1_m5 t1_m4 t1_m3 t1_m2 t1_p0 t1_p1 t1_p2 t1_p3 t1_p4  $firmcontrols $indcontrols, absorb(year stockcd) cluster(stockcd)  keepsing
 test t1_m5 = t1_m4 = t1_m3 = t1_m2 = 0  // 0.5607
 
 qui postfile bskeep yr beta ci_l95 ci_u95 using results, replace 
/* Fill each cell for years before the reform */
foreach num of numlist 5(-1)2 {
	local cil95 = _b[t1_m`num'] - _se[t1_m`num']*invttail(e(df_r), 0.025)
	local ciu95 = _b[t1_m`num'] + _se[t1_m`num']*invttail(e(df_r), 0.025)
	post bskeep (-`num') (_b[t1_m`num']) (`cil95') (`ciu95')
	}
	
foreach num of numlist 1 {
	local cil95 = .
	local ciu95 = .
	post bskeep (-`num') (0) (`cil95') (`ciu95')
	}	
	
	
/* Fill each cell for years after the VAT reform */
foreach num of numlist 0(1)4 {
	local cil95 = _b[t1_p`num'] - _se[t1_p`num']*invttail(e(df_r), 0.025)
	local ciu95 = _b[t1_p`num'] + _se[t1_p`num']*invttail(e(df_r), 0.025)
	post bskeep (`num') (_b[t1_p`num']) (`cil95') (`ciu95')
	}
/* Save the Stata data file */
qui postclose bskeep

use results, clear
erase results.dta

#delimit ;
graph twoway 
	connected beta yr, 
	sort  mlcolor(blue*0.8) mfcolor(blue*0.8) lcolor(blue*0.8) ||
    rcap ci_u95 ci_l95 yr,
	sort lcolor(red) lpattern(dash)	
	
	graphr(color(white))
	legend(order(1 `"{fontface "宋体": 系数估计值}"' 2 `"{fontface "宋体": 95%置信区间}"') colgap(*0.3) rowgap(*0.3) keygap(*0.5) symxsize(*0.5) size(m)  row(2)) 
	ylabel(-0.1 "-0.10" 0 0.1 "0.10" 0.2 "0.20" 0.3 "0.30",nogrid angle(0) labsize(m))
	ytitle(`"{fontface "宋体": 系数估计值}"',size(m))
	xtitle(`"{fontface "宋体": 政策实施相对时点}"',size(m)) 
	xlabel(-5 -4 -3 -2 -1 0 1 2 3 4,labsize(m))
	xline(-1,lpattern(line) lcolor(gs9) )
	yline(0,lcolor(black))
	aspect(0.5)
	;
#delimit cr




